Tool: get_project_billing_info
Retrieves the billing information for a project.
The following code sample shows how to use curl to call the get_project_billing_info MCP tool.
| Curl Request |
|---|
curl --location 'https://cloudbilling.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_project_billing_info", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for GetProjectBillingInfo.
GetProjectBillingInfoRequest
| JSON representation |
|---|
{ "name": string } |
| Fields | |
|---|---|
name |
Required. The resource name of the project for which billing information is retrieved. For example, |
Output Schema
Encapsulation of billing information for a Google Cloud Console project. A project has at most one associated billing account at a time (but a billing account can be assigned to multiple projects).
ProjectBillingInfo
| JSON representation |
|---|
{ "name": string, "projectId": string, "billingAccountName": string, "billingEnabled": boolean } |
| Fields | |
|---|---|
name |
Output only. The resource name for the |
projectId |
Output only. The ID of the project that this |
billingAccountName |
The resource name of the billing account associated with the project, if any. For example, |
billingEnabled |
Output only. True if the project is associated with an open billing account, to which usage on the project is charged. False if the project is associated with a closed billing account, or no billing account at all, and therefore cannot use paid services. |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌